
************
* PCHIMENU *
************
* Met deze programma's maken we het historisch bestand aan op een
* aparte 8" diskette. Deze diskette moet van te voren zijn geformatteerd
* en voorzien van het syssteemspoor. Verder kunnen we de gegevens van
* het huidige produktienummer laten overschrijven. Nadat de gegevens 
* zijn overgeschreven, wordt de recordvariabele HIST:FILE op true
* gezet. Deze variabele wordt gebruikt bij het verwijderen van het
* huidige produktienummer.
*
RESET
STORE F TO finished
DO WHILE .NOT. finished
   ERASE
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--"
   @  2,10 SAY "-------------------- HISTORISCH BESTAND --------------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   @  4,16 SAY $(cur:prod,1,2) + "/" + $(cur:prod,3,5)
   @  7, 7 SAY "U KUNT NU DE GEGEVENS OVER HET HUIDIGE PRODUKTIENUMMER OVER LATEN"
   @  8, 7 SAY 'SCHRIJVEN NAAR HET HISTORISCH BESTAND OP EEN 8" DISKETTE.'
   @ 10,25 SAY "1- OVERSCHRIJVEN GEGEVENS"
   @ 11,25 SAY "2- OPZETTEN HISTORISCH BESTAND"
   @ 12,25 SAY "E- EINDE"
   @ 14,28 SAY "UW KEUZE SVP :.:" 
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   STORE "." TO choice
   DO WHILE .NOT. (choice $ "12E")
      STORE "." TO choice
      @ 14,41 GET choice PICTURE "!"
      READ
      CLEAR GETS
   ENDDO
   @ 7,0
   @ 8,0
   @ 10,0
   @ 11,0
   @ 12,0
   @ 14,0
   DO CASE
      CASE choice = "1"
           DO pchimv
      CASE choice = "2"
           DO pchiin
      CASE choice = "E"
           STORE T TO finished
   ENDCASE
ENDDO
RETURN
*
* EINDE PROGRAMMA
*
